#pragma once
#include <stdint.h>

namespace mbc_none
{
    void init(uint8_t *rom, uint32_t rom_size, uint32_t ram_size);

    void reset();
    uint8_t readRom(uint16_t address);
    void writeRom(uint16_t address, uint8_t value);
    uint8_t readRam(uint16_t address);
    void writeRam(uint16_t address, uint8_t value);
}
